<?php
/*
* Copyright (c) 2016, Signaturgruppen  <info@signaturgruppen.dk>.
* All rights reserved.
* @license    See separate agreement regarding license information
*/
require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');

\Signaturgruppen\SPS\Demo\Configuration::loadConfig();

$model = [];
$model['title'] = "Response";

$postResult = $_POST['result'];

$validator = new \Frame\NL3FlowValidator();
try{
    $flowResult = $validator->validate($postResult);

    $model['result'] = "<pre>" . json_encode($flowResult, JSON_PRETTY_PRINT) . "</pre>";
}catch (\Signaturgruppen\SPS\Frame\ValidationException $exception){
    $model['result'] = "Error: " . $exception->errorMessage . "<br/>"
        . "Status: " . $exception->status . "<br/>"
        . "User message (if set in response): [" . $exception->userMessage . "]<br/>"
        . "FlowErrorCode: " . $exception->flowErrorCode;
}catch (Exception $e){
    $model['result'] = "Error: " . $e->getMessage() . "<br/>";
}

$model['result'] = $model['result']."<br/><br/>Hent dokumentet <a href='getpades.php' target='_blank'>her</a>";

require_once 'resources/template.php';