<?php
/*
 * Copyright (c) 2016, Signaturgruppen  <info@signaturgruppen.dk>.
 * All rights reserved.
 * @license    See separate agreement regarding license information
 */

use Signaturgruppen\SPS\Demo\Configuration;

require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

Configuration::loadConfig();

$model = [];
$model['title'] = 'NemID logon - NemID Private to Business';
$model['width'] = 400;
$model['height'] = 450;

$nemid = new \Signaturgruppen\SPS\Frame\NemIDFrameBuilder();
$pocesToCvrConfig = new \Signaturgruppen\SPS\Api\Frame\NemID\PocesToCvrConfig();
$pocesToCvrConfig->AllowPrivate = true;
$nemid->enablePocesToCvr($pocesToCvrConfig);
//To set specific transaction text to NemID CodeApp use construct below.
//$nemid->withTransactionContext("Test fra PHP");

//Use construct below to prevent push notifications to be sent to NemID CodeApp.
//$nemid->disablePushToDevice();

$model['script'] = $nemid->buildScript("receive.php");
$model['src'] = $nemid->getFrameUrl();

require_once 'resources/template.php';
