<?php
/*
* Copyright (c) 2018, Signaturgruppen  <info@signaturgruppen.dk>.
* All rights reserved.
* @license    See separate agreement regarding license information
*/
require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');

\Signaturgruppen\SPS\Demo\Configuration::loadConfig();

$postResult = $_POST['result'];

$validator = new \Frame\NemIDFlowValidator();
try{
    $flowResult = $validator->validate($postResult);

    $nemidResult = "<pre>" . json_encode($flowResult, JSON_PRETTY_PRINT) . "</pre>";
}catch (\Signaturgruppen\SPS\Frame\ValidationException $exception){
    $nemidResult = "Error: " . $exception->errorMessage . "<br/>"
                        . "Status: " . $exception->status . "<br/>"
                        . "User message (if set in response): [" . $exception->userMessage . "]<br/>"
                        . "FlowErrorCode: " . $exception->flowErrorCode;
}catch (Exception $e){
    $nemidResult = "Error: " . $e->getMessage() . "<br/>";
}

?>

<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8"/>
    <title>NemID result</title>
</head>

<body>

<div style="display: table; margin: 0px auto; line-height: 1.0;">
    <?php echo $nemidResult; ?>
</div>
</body>

</html>