<?php
/*
* Copyright (c) 2016, Signaturgruppen  <info@signaturgruppen.dk>.
* All rights reserved.
* @license    See separate agreement regarding license information
*/
require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');

\Signaturgruppen\SPS\Demo\Configuration::loadConfig();

$model = [];
$model['title'] = "Response";

$postResult = $_POST['result'];

$validator = new \Frame\NemIDFlowValidator();
try{
    $flowResult = $validator->validate($postResult);
    session_start();
    //$_SESSION['flowResult'] = $flowResult->AuthenticationInfo->SignedXml;
    //CPRSERVICE uses cURL, you need trust for SSL for tuservices.siganturgruppen.dk/tuservices-test.signaturgruppen.dk
    //$cprService = new \Signaturgruppen\SPS\Services\PidMatchService();
    //$cprMatched = $cprService->pidMatchesCpr($flowResult->AuthenticationInfo->Pid, "1402263260") == true;
    //$flowResult->AuthenticationInfo contains the NemID authentication info
    //EXAMPLE: Get the PID: $flowResult->AuthenticationInfo->Pid;
    //$model['result'] = "<pre>" . json_encode($flowResult, JSON_PRETTY_PRINT) . "</pre><br/>PidMatched: ". $cprMatched;
    $service = new \Signaturgruppen\SPS\Services\PadesService();
    $result = $service->CreatePades(base64_encode($flowResult->AuthenticationInfo->SignedXml));
    $path = "e://newfile.pdf";
    $myfile = fopen("e://newfile.pdf", "wb") or die("Unable to open file!");
    fwrite($myfile, base64_decode($result));
    fclose($myfile);
    $model['result'] = "<br/><br/>Hent dokument <a href='getpadessingle.php'>Her</a>";
}catch (\Signaturgruppen\SPS\Frame\ValidationException $exception){
    $model['result'] = "Error: " . $exception->errorMessage . "<br/>"
        . "Status: " . $exception->status . "<br/>"
        . "User message (if set in response): [" . $exception->userMessage . "]<br/>"
        . "FlowErrorCode: " . $exception->flowErrorCode;
}catch (Exception $e){
    $model['result'] = "Error: " . $e->getMessage() . "<br/>";
}

require_once 'resources/template.php';