<?php
/*
 * Copyright (c) 2020, Signaturgruppen  <info@signaturgruppen.dk>.
 * All rights reserved.
 * @license    See separate agreement regarding license information
 */
use Signaturgruppen\SPS\Demo\Configuration;

require_once __DIR__ . '/vendor/autoload.php';
header('Content-Type: text/html; charset=utf-8');
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");


session_start();
Configuration::loadConfig();

$model = [];
$model['title'] = 'NemID PADES sign';
$model['width'] = 800;
$model['height'] = 600;

$documentApi = new \Signaturgruppen\SPS\Services\DocumentApiClient();
$signer1 = "Signer1";
$signer2 = "Signer2";

$documentId = $documentApi->createPdfDocument(file_get_contents("sample.pdf"), "TestDoc")->withSignerId($signer1)->withSignerId($signer2)->invoke();
$_SESSION['PadesDocumentId'] = $documentId;
$model['result'] = "Dokument oprettet med GUID: ".$documentId."<br/><br/>Signer dokumentet som 'Signer1' ved at klikke <a href='signpades3.php'>her</a>";

require_once 'resources/template.php';